Page MenuHomePhabricator

[Compiler-rt][MIPS] Defining macros for MIPS archs
ClosedPublic

Authored by mohit.bhakkad on Mar 4 2016, 2:36 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

mohit.bhakkad retitled this revision from to [Compiler-rt][MIPS] Defining macros for MIPS archs.
mohit.bhakkad updated this object.
mohit.bhakkad added reviewers: samsonov, eugenis.
mohit.bhakkad set the repository for this revision to rL LLVM.
eugenis added inline comments.Mar 4 2016, 11:03 AM
lib/sanitizer_common/sanitizer_platform.h
97

#else
#define SANITIZER_MIPS 0

the some for the other two

samsonov edited edge metadata.Mar 4 2016, 11:04 AM

Um, no, let's follow the strategy we use for other macros here and always define SANITIZER_MIPS, SANITIZER_MIPS64 and SANITIZER_MIPS32 to either 1, or 0.

samsonov requested changes to this revision.Mar 4 2016, 11:05 AM
samsonov edited edge metadata.
This revision now requires changes to proceed.Mar 4 2016, 11:05 AM
mohit.bhakkad edited edge metadata.

Changing as suggested.

filcab added a subscriber: filcab.Mar 7 2016, 1:23 AM
filcab added inline comments.
lib/sanitizer_common/sanitizer_platform.h
106

Missing SANITIZER_MIPS32 and SANITIZER_MIPS64 defined to 0.

mohit.bhakkad edited edge metadata.

Thanks, added it.

samsonov accepted this revision.Mar 8 2016, 12:11 PM
samsonov edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 8 2016, 12:11 PM
This revision was automatically updated to reflect the committed changes.